Get a customer
Retrieves a customer by ID for the authenticated organization.
Authorization
bearerAuth Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.owostack.com/v1/customers/string"{
"success": true,
"id": "string",
"email": "user@example.com",
"name": "string",
"metadata": {
"property1": null,
"property2": null
},
"billing": {
"overageLimit": {
"maxOverageAmount": 0,
"onLimitReached": "block",
"createdAt": 0,
"updatedAt": 0
},
"featureConfigs": [
{
"feature": {
"id": "string",
"slug": "string",
"name": "string"
},
"overage": "block",
"maxOverageUnits": 0,
"createdAt": 0,
"updatedAt": 0
}
]
},
"createdAt": 0,
"updatedAt": 0,
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}